Summary: FTP user creating daemon for Redboxs webhosting
Name: nuftpd
Version: 1.0.0
Release: 1mdk
Source: %{name}-%{version}.tar.bz2
Copyright: Capitol
Group: Network/Utilities
Packager: Zdenek Mazanec <bluehawk@betateam.net>
BuildRoot: /var/rpm-buildroot/%{name}-%{version}
Requires: shadow-utils quota chkconfig

%description
Daemon tvorici uzivatele pro ftp docela zajimavym, byt mozna prilis slozitym zpusobem.
Specificke RPM pouzitelne v podstate pouze pro RedBox.


%prep
echo "Starting prep sections..."
rm -rf $RPM_BUILD_ROOT 
%setup  -q

%build
echo "Starting build section..."
make CFLAGS="-Wall -fPIC $RPM_OPT_FLAGS"

%install
echo "Starting install section..."
rm -rf $RPM_BUILD_ROOT
make install FAKEROOT=$RPM_BUILD_ROOT

%clean
echo "Starting clean section..."
[ $RPM_BUILD_ROOT != / ] && rm -fr $RPM_BUILD_ROOT

%post
echo "Adding user_ftp service..."
chkconfig --add user_ftp
echo "Creating working directory..."
mkdir -p /var/tmp/nftpu
echo "Adding webhost group..."
groupadd webhost
echo "Adding quota template user quoted..."
adduser -g webhost -d /tmp/quoted -s /bin/false quoted
echo "!!! QUOTA NOT SET BY THIS SCRIPT !!! SET IT MANUALLY."
/etc/rc.d/init.d/user_ftp start

%preun
echo "Stoping service..."
/etc/rc.d/init.d/user_ftp stop
echo "Removing from chkconfig..."
/sbin/chkconfig --del user_ftp
echo "Droping user quoted and group webhost..."
userdel -r quoted
groupdel webhost
echo "Deleting working directory..."
/bin/rm -rf /var/tmp/nftpu

%files
%defattr(0700,root,root)
%doc README
/usr/bin/nuftpd
/usr/sbin/ftpua
/etc/rc.d/init.d/user_ftp
%attr(0770,apache,apache) %dir /var/tmp/nftpu

%changelog
* Fri May 11 2001 Zdenek Mazanec <bluehawk@betateam.net>
- First spec file for Mandrake distribution.

# end of file
